Bug Hunting Session
Bug 99461 - FORMATTING conditional formatting not updated when rows/columns inserted
Summary: FORMATTING conditional formatting not updated when rows/columns inserted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-04-22 22:52 UTC by Chris McKenna
Modified: 2016-10-25 19:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet where this is observed ("Backgrounds" sheet) (2.91 MB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-22 22:52 UTC, Chris McKenna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris McKenna 2016-04-22 22:52:17 UTC
Created attachment 124581 [details]
spreadsheet where this is observed ("Backgrounds" sheet)

When inserting a row above a conditional formatting range, the formula for the conditional formatting is not updated and still refers to the old range.

Possibly a re-occurrence of Bug 62206 from 2013?

In the attached spreadsheet, go the "Backgrounds" sheet and insert a row before row 1524 then view cells B1525:B1558.  In the workflow for this sheet, adding new rows before this block is a near daily occurrence.
Comment 1 raal 2016-04-24 15:03:10 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: 170a473597534cf59887b1d817538322e7039862
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-19_00:41:06

regression, works in 4.4
Comment 2 Chris McKenna 2016-04-24 19:27:17 UTC
noting that this also happens in the same manner when columns are inserted before a formula-determined conditional formatting.
Comment 3 raal 2016-04-25 10:42:40 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike; Could you possibly take a look at this one? Thanks


e6883492d912842ddcc8345bf33d5284993c0c3c is the first bad commit
commit e6883492d912842ddcc8345bf33d5284993c0c3c
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Jul 18 04:30:43 2015 -0700
    source sha:bff9eddb454ca2568bbb4b56c97d223d7188e56b
	
	author	Eike Rathke <erack@redhat.com>	2015-06-13 13:02:55 (GMT)
committer	Eike Rathke <erack@redhat.com>	2015-06-15 09:22:43 (GMT)
commit	bff9eddb454ca2568bbb4b56c97d223d7188e56b (patch)
tree	b0cd88cbeef6d18d12c49eb0e2397eac97b6f47f
parent	17cdc92e46e84ec8d99dedfdd9e8e96fb950f6ea (diff)
more adjustment of references in RPN
Comment 4 Eike Rathke 2016-04-25 15:35:46 UTC
Investigating.
Comment 5 Commit Notification 2016-04-25 17:12:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03124f5be5466c7f7cac012de05ef387b9718c4a

Resolves: tdf#99461 reverse logic of TokenPointers::skipToken()

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2016-04-25 18:25:53 UTC
Pending review https://gerrit.libreoffice.org/24375 for 5-1
Comment 7 Commit Notification 2016-05-03 09:33:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=947cd18108ca03abe79895fa38520338da159aa6&h=libreoffice-5-1

Resolves: tdf#99461 reverse logic of TokenPointers::skipToken()

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.